Bug 207989 - gnucash 2.0.1 from FC6 should be backported to FC5
gnucash 2.0.1 from FC6 should be backported to FC5
Product: Fedora
Classification: Fedora
Component: gnucash (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2006-09-25 14:17 EDT by Eric Hopper
Modified: 2014-03-16 23:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-27 14:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Hopper 2006-09-25 14:17:51 EDT
I did this by hand, and there were no dependency problems.  2.0.1 can be
compiled and run on FC5 just fine, so it should be backported.
Comment 1 Bill Nottingham 2006-09-25 14:41:55 EDT
It's a major version upgrade, which is frowned upon. (See also: OO.o version 2,
gnome upgrades, etc.)
Comment 2 Eric Hopper 2006-09-27 00:56:55 EDT
Hmm...  I can't think of a good argument to that exactly.  I can say that it
introduces no file incompatibilities that I'm aware of and largely just looks
and acts a lot nicer.  But it is true that a good portion of the UI code was
re-written, so it's definitely a pretty major change.

My main thing is that I support a few friends, and some of them have asked me
about a finance program, and gnucash is ugly and kind of unfriendly, and
kmymoney2 is KDE, and they use all GNOME stuff.  So it would be nice if gnucash
could be nicer looking and friendlier, especially without me having to make them
a nice package to install out of the normal flow of using 'pup'.
Comment 3 Bill Nottingham 2006-09-27 14:20:21 EDT
Note that one reason that backporting fully to FC5 is tricky is that
OFXDirectConnect support (one of the new features) requires a newer,
ABI-incompatible, libofx than what ships in FC5, and we cant' really change that
since other apps use libofx.

In the meantime, you may be interested in:

Comment 4 Eric Hopper 2006-09-27 14:46:23 EDT
Hey, thanks.  That is pretty helpful.  And your reasoning is generally sound, so
I'm just going to close this bug as 'WONTFIX' and be happy.  It would be nice to
have a resolution status that made the bug still show up in the default searches
though so that other people who really wanted gnucash in FC5 could still find
it.  But I suppose they can always just modify the search to include some of the
resolved statuses.

Again, thanks.

Note You need to log in before you can comment on or make changes to this bug.